package com.storlead.thirdparty.spi;

import com.storlead.thirdparty.api.dto.ThirdPartyUserSyncDTO;
import com.storlead.thirdparty.api.enums.ThirdPartyChannel;

import java.util.List;

public interface ThirdPartyUserSyncClient {
    ThirdPartyChannel channel();

    List<ThirdPartyUserSyncDTO> syncUserOpenId(List<ThirdPartyUserSyncDTO> users);
}
